Bug 1344788 - Apply does not reload configuration example ipv4.never-default does not work as expected
Summary: Apply does not reload configuration example ipv4.never-default does not work ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-10 19:56 UTC by Chris Murphy
Modified: 2017-08-08 14:49 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:49:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Chris Murphy 2016-06-10 19:56:20 UTC
Description of problem:

When I check "Use this connection only for resources on its network" and click Apply, nmcli confirms that ipv4.never-default is set to yes, but the configuration is not reloaded, so GENERAL.DEFAULT for this connection is still set to yes. And this connection is still used by default. I have to turn the connection Off then back On to force reloading, and now this works as expected.

Version-Release number of selected component (if applicable):
control-center-3.20.1-1.fc24.x86_64
NetworkManager-1.2.2-2.fc24.x86_64

How reproducible:
Always


Steps to Reproduce:
I want wireless to be default (internet) and wired to never be default but still auto connect (local ssh and samba), so:


1. Settings > Network > Wired > gear icon > IPv4 > check Use this connection only for resources on its network then click apply.


Actual results:

The wired connection is still being used by default. Both GENERAL.DEFAULT is yes, and the 'ip route show' shows the metric for wired is lower than wireless, so it will be used by default.


Expected results:

When I click Apply, it needs to reload the configuration or restart NetworkManager or whatever needs to be done to make it work immediately after clicking Apply button.


Additional info:

This took 5+ hours to troubleshoot today...


https://developer.gnome.org/NetworkManager/stable/ref-settings.html

never-default
boolean
FALSE

	If TRUE, this connection will never be the default connection for this IP type, meaning it will never be assigned the default route by NetworkManager.


Before checking "use this connection only for resources on its network"

[root@f24m ~]# ip route show
default via 192.168.1.1 dev enp2s0f0  proto static  metric 100 
default via 172.19.11.1 dev wlp3s0b1  proto static  metric 600 
172.19.11.0/24 dev wlp3s0b1  proto kernel  scope link  src 172.19.11.35  metric 600 
192.168.1.0/24 dev enp2s0f0  proto kernel  scope link  src 192.168.1.185  metric 100 
192.168.124.0/24 dev virbr0  proto kernel  scope link  src 192.168.124.1 linkdown 


After checking "use this connection only for resources on its network" and clicking Apply

[root@f24m ~]# ip route show
default via 192.168.1.1 dev enp2s0f0  proto static  metric 100 
default via 172.19.11.1 dev wlp3s0b1  proto static  metric 600 
172.19.11.0/24 dev wlp3s0b1  proto kernel  scope link  src 172.19.11.35  metric 600 
192.168.1.0/24 dev enp2s0f0  proto kernel  scope link  src 192.168.1.185  metric 100 
192.168.124.0/24 dev virbr0  proto kernel  scope link  src 192.168.124.1 linkdown 


After turning Wired Off then back On.

[root@f24m ~]# ip route show
default via 172.19.11.1 dev wlp3s0b1  proto static  metric 600 
172.19.11.0/24 dev wlp3s0b1  proto kernel  scope link  src 172.19.11.35  metric 600 
192.168.1.0/24 dev enp2s0f0  proto kernel  scope link  src 192.168.1.185  metric 100 
192.168.124.0/24 dev virbr0  proto kernel  scope link  src 192.168.124.1 linkdown

Comment 1 Chris Murphy 2016-06-10 20:04:16 UTC
I'm not sure how far the scope of this goes, for some things it seems Apply works and for other things it doesn't. For all I know it's just this one setting. But it's a nasty little bug, and therefore maybe worth commonbugs.

Draft summary:

In GNOME settings (control-center), Network changes may not take effect for a connection using the Apply button. Turn the connection Off then back On again to reload the settings.

Comment 2 Fedora End Of Life 2017-07-25 21:04:11 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 14:49:19 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.